Bug 981937 - System load increases, cpu soft lockups and reboots on usb mass-storage connection
System load increases, cpu soft lockups and reboots on usb mass-storage conne...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 03:36 EDT by Pablo Iranzo Gómez
Modified: 2013-10-08 13:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:05:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Iranzo Gómez 2013-07-07 03:36:44 EDT
Description of problem:

I've found that every time I plug a usb drive, sd card, etc it may become in two options: gnome 3 saying that disk is already mounted or busy and I can't mount it or system getting loaded and unreponsible or even reboots.


Version-Release number of selected component (if applicable):

3.9.9-301.fc19.x86_64

How reproducible:

Reboot system to have a clean start, try to plug a sd card or a usb drive

Actual results (one of them):
- System reboots
- System load skyrockets and soft-lockup errors
- System shows disk icon in nautilus but every try to click on it gives error about being already mounted or busy, repeating as 'root' via shell gives same problems


Expected results:
Everything working as with F18

Additional info:
Comment 1 Pablo Iranzo Gómez 2013-07-07 03:41:37 EDT
Jul  7 09:39:44 x201 kernel: [ 1807.250909] BUG: soft lockup - CPU#1 stuck for 23s! [sh:5907]
Jul  7 09:39:44 x201 kernel: [ 1807.250918] Modules linked in: cpufreq_stats vfat fat usb_storage fuse ebtable_nat scsi_transport_iscsi tun bnep bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables input_polldev dm_service_time snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support uvcvideo acpi_cpufreq videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_codec_conexant mperf coretemp arc4 kvm_intel iwldvm snd_hda_intel mac80211 kvm snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iwlwifi snd_page_alloc cfg80211 e1000e snd_timer ptp intel_ips i2c_i801 thinkpad_acpi snd joydev lpc_ich rfkill microcode pps_core mei wmi tpm_tis soundcore tpm tpm_bios mfd_core vboxnetadp(OF) vboxnetflt(OF) vboxdrv(OF) binfmt_misc uinput dm_multipath dm_crypt crc32_pclmul crc32c_intel i915 ghash_clmulni_intel i2c_algo_bit drm_kms_helper drm i2c_core video
Jul  7 09:39:44 x201 kernel: [ 1807.251038] CPU 1 
Jul  7 09:39:44 x201 kernel: [ 1807.251041] Pid: 5907, comm: sh Tainted: GF        C O 3.9.9-301.fc19.x86_64 #1 LENOVO 3680B56/3680B56
Jul  7 09:39:44 x201 kernel: [ 1807.251043] RIP: 0010:[<ffffffff8106c606>]  [<ffffffff8106c606>] lock_timer_base.isra.37+0x16/0x50
Jul  7 09:39:44 x201 kernel: [ 1807.251060] RSP: 0018:ffff8802094a7d48  EFLAGS: 00000246
Jul  7 09:39:44 x201 kernel: [ 1807.251064] RAX: ffff8802094a7fd8 RBX: 0000000000000010 RCX: ffff8802094a7fd8
Jul  7 09:39:44 x201 kernel: [ 1807.251066] RDX: 0000000000000000 RSI: ffff8802094a7d78 RDI: ffff8801b7b104e8
Jul  7 09:39:44 x201 kernel: [ 1807.251069] RBP: ffff8802094a7d68 R08: 0000000000016d80 R09: ffff88022d75e300
Jul  7 09:39:44 x201 kernel: [ 1807.251071] R10: ffff880233001800 R11: ffffffff812e6f3e R12: 0000004100000000
Jul  7 09:39:44 x201 kernel: [ 1807.251074] R13: 0000000000000000 R14: ffffea0000000002 R15: ffff880200000028
Jul  7 09:39:44 x201 kernel: [ 1807.251077] FS:  00007f0771080740(0000) GS:ffff88023bc80000(0000) knlGS:0000000000000000
Jul  7 09:39:44 x201 kernel: [ 1807.251080] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul  7 09:39:44 x201 kernel: [ 1807.251083] CR2: 0000003b4b6749a0 CR3: 00000001dcc5f000 CR4: 00000000000007e0
Jul  7 09:39:44 x201 kernel: [ 1807.251086] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul  7 09:39:44 x201 kernel: [ 1807.251089] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul  7 09:39:44 x201 kernel: [ 1807.251092] Process sh (pid: 5907, threadinfo ffff8802094a6000, task ffff8801bf7d8000)
Jul  7 09:39:44 x201 kernel: [ 1807.251094] Stack:
Jul  7 09:39:44 x201 kernel: [ 1807.251096]  ffff8801b7b104d0 ffff8801b7b10400 ffff88022dc5cf10 ffff8801b7b10520
Jul  7 09:39:44 x201 kernel: [ 1807.251101]  ffff8802094a7d90 ffffffff8106cf10 ffff8801adcdc228 ffff8801b7b104d0
Jul  7 09:39:44 x201 kernel: [ 1807.251105]  ffff8801b7b10400 ffff8802094a7da8 ffffffff8106cfb2 ffff8801b7b10800
Jul  7 09:39:44 x201 kernel: [ 1807.251110] Call Trace:
Jul  7 09:39:44 x201 kernel: [ 1807.251117]  [<ffffffff8106cf10>] try_to_del_timer_sync+0x20/0x70
Jul  7 09:39:44 x201 kernel: [ 1807.251121]  [<ffffffff8106cfb2>] del_timer_sync+0x52/0x60
Jul  7 09:39:44 x201 kernel: [ 1807.251129]  [<ffffffff812ec132>] cfq_exit_queue+0x32/0xf0
Jul  7 09:39:44 x201 kernel: [ 1807.251136]  [<ffffffff812c826f>] elevator_exit+0x2f/0x50
Jul  7 09:39:44 x201 kernel: [ 1807.251140]  [<ffffffff812c8d98>] elevator_change+0x138/0x210
Jul  7 09:39:44 x201 kernel: [ 1807.251146]  [<ffffffff812c95f0>] elv_iosched_store+0x20/0x50
Jul  7 09:39:44 x201 kernel: [ 1807.251150]  [<ffffffff812d1f19>] queue_attr_store+0x59/0xb0
Jul  7 09:39:44 x201 kernel: [ 1807.251156]  [<ffffffff8120d393>] sysfs_write_file+0xd3/0x150
Jul  7 09:39:44 x201 kernel: [ 1807.251163]  [<ffffffff81199fcf>] vfs_write+0x9f/0x170
Jul  7 09:39:44 x201 kernel: [ 1807.251167]  [<ffffffff8119a2c9>] sys_write+0x49/0xa0
Jul  7 09:39:44 x201 kernel: [ 1807.251174]  [<ffffffff8164f319>] system_call_fastpath+0x16/0x1b
Jul  7 09:39:44 x201 kernel: [ 1807.251176] Code: 41 5c 41 5d 41 5e 5d c3 0f 0b 66 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 55 48 89 e5 41 56 49 89 f6 41 55 49 89 fd 41 54 53 <49> 8b 5d 00 49 89 dc 49 83 e4 fc 74 28 4c 89 e7 e8 85 a7 5d 00 
Jul  7 09:40:12 x201 kernel: [ 1835.235667] BUG: soft lockup - CPU#1 stuck for 23s! [sh:5907]
Jul  7 09:40:12 x201 kernel: [ 1835.235676] Modules linked in: cpufreq_stats vfat fat usb_storage fuse ebtable_nat scsi_transport_iscsi tun bnep bluetooth nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables input_polldev dm_service_time snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support uvcvideo acpi_cpufreq videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_hda_codec_conexant mperf coretemp arc4 kvm_intel iwldvm snd_hda_intel mac80211 kvm snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm iwlwifi snd_page_alloc cfg80211 e1000e snd_timer ptp intel_ips i2c_i801 thinkpad_acpi snd joydev lpc_ich rfkill microcode pps_core mei wmi tpm_tis soundcore tpm tpm_bios mfd_core vboxnetadp(OF) vboxnetflt(OF) vboxdrv(OF) binfmt_misc uinput dm_multipath dm_crypt crc32_pclmul crc32c_intel i915 ghash_clmulni_intel i2c_algo_bit drm_kms_helper drm i2c_core video
Jul  7 09:40:12 x201 kernel: [ 1835.235792] CPU 1 
Jul  7 09:40:12 x201 kernel: [ 1835.235798] Pid: 5907, comm: sh Tainted: GF        C O 3.9.9-301.fc19.x86_64 #1 LENOVO 3680B56/3680B56
Jul  7 09:40:12 x201 kernel: [ 1835.235801] RIP: 0010:[<ffffffff8106c60a>]  [<ffffffff8106c60a>] lock_timer_base.isra.37+0x1a/0x50
Jul  7 09:40:12 x201 kernel: [ 1835.235816] RSP: 0018:ffff8802094a7d48  EFLAGS: 00000246
Jul  7 09:40:12 x201 kernel: [ 1835.235819] RAX: ffff8802094a7fd8 RBX: 0000000000000010 RCX: ffff8802094a7fd8
Jul  7 09:40:12 x201 kernel: [ 1835.235822] RDX: 0000000000000000 RSI: ffff8802094a7d78 RDI: ffff8801b7b104e8
Jul  7 09:40:12 x201 kernel: [ 1835.235824] RBP: ffff8802094a7d68 R08: 0000000000016d80 R09: ffff88022d75e300
Jul  7 09:40:12 x201 kernel: [ 1835.235827] R10: ffff880233001800 R11: ffffffff812e6f3e R12: 0000004100000000
Jul  7 09:40:12 x201 kernel: [ 1835.235829] R13: 0000000000000000 R14: ffffea0000000002 R15: ffff880200000028
Jul  7 09:40:12 x201 kernel: [ 1835.235833] FS:  00007f0771080740(0000) GS:ffff88023bc80000(0000) knlGS:0000000000000000
Jul  7 09:40:12 x201 kernel: [ 1835.235836] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul  7 09:40:12 x201 kernel: [ 1835.235839] CR2: 0000003b4b6749a0 CR3: 00000001dcc5f000 CR4: 00000000000007e0
Jul  7 09:40:12 x201 kernel: [ 1835.235842] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jul  7 09:40:12 x201 kernel: [ 1835.235844] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jul  7 09:40:12 x201 kernel: [ 1835.235847] Process sh (pid: 5907, threadinfo ffff8802094a6000, task ffff8801bf7d8000)
Jul  7 09:40:12 x201 kernel: [ 1835.235849] Stack:
Jul  7 09:40:12 x201 kernel: [ 1835.235851]  ffff8801b7b104d0 ffff8801b7b10400 ffff88022dc5cf10 ffff8801b7b10520
Jul  7 09:40:12 x201 kernel: [ 1835.235857]  ffff8802094a7d90 ffffffff8106cf10 ffff8801adcdc228 ffff8801b7b104d0
Jul  7 09:40:12 x201 kernel: [ 1835.235861]  ffff8801b7b10400 ffff8802094a7da8 ffffffff8106cfb2 ffff8801b7b10800
Jul  7 09:40:12 x201 kernel: [ 1835.235865] Call Trace:
Jul  7 09:40:12 x201 kernel: [ 1835.235872]  [<ffffffff8106cf10>] try_to_del_timer_sync+0x20/0x70
Jul  7 09:40:12 x201 kernel: [ 1835.235876]  [<ffffffff8106cfb2>] del_timer_sync+0x52/0x60
Jul  7 09:40:12 x201 kernel: [ 1835.235885]  [<ffffffff812ec132>] cfq_exit_queue+0x32/0xf0
Jul  7 09:40:12 x201 kernel: [ 1835.235891]  [<ffffffff812c826f>] elevator_exit+0x2f/0x50
Jul  7 09:40:12 x201 kernel: [ 1835.235896]  [<ffffffff812c8d98>] elevator_change+0x138/0x210
Jul  7 09:40:12 x201 kernel: [ 1835.235901]  [<ffffffff812c95f0>] elv_iosched_store+0x20/0x50
Jul  7 09:40:12 x201 kernel: [ 1835.235906]  [<ffffffff812d1f19>] queue_attr_store+0x59/0xb0
Jul  7 09:40:12 x201 kernel: [ 1835.235912]  [<ffffffff8120d393>] sysfs_write_file+0xd3/0x150
Jul  7 09:40:12 x201 kernel: [ 1835.235918]  [<ffffffff81199fcf>] vfs_write+0x9f/0x170
Jul  7 09:40:12 x201 kernel: [ 1835.235923]  [<ffffffff8119a2c9>] sys_write+0x49/0xa0
Jul  7 09:40:12 x201 kernel: [ 1835.235929]  [<ffffffff8164f319>] system_call_fastpath+0x16/0x1b
Jul  7 09:40:12 x201 kernel: [ 1835.235931] Code: 41 5e 5d c3 0f 0b 66 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 55 48 89 e5 41 56 49 89 f6 41 55 49 89 fd 41 54 53 49 8b 5d 00 <49> 89 dc 49 83 e4 fc 74 28 4c 89 e7 e8 85 a7 5d 00 49 89 06 49
Comment 2 Josh Boyer 2013-09-18 16:30:09 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 13:05:51 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.